from StringIO import StringIO
from base64 import decodestring
from Products.gsxml.content import XMLContentFSExporter
from Products.gsxml.context import SimpleFSExportContext
from Products.gsxml.interfaces import *
from Products.GenericSetup.interfaces import *

def createExportDummy():
    """ create some sample content to test with """

    gif = 'R0lGODlhAQABAPAAAPj8+AAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=='
    gif = StringIO(decodestring(gif))

    existing = portal.objectIds()
    if "export" in existing:
        portal.manage_delObjects( ["export"] )
        utils.commit()
        print "old export folder deleted"

    print "creating a new Dummy Folder"
    portal.invokeFactory("Folder", "export")
    ef = portal["export"]

    """ create Stuff  """
    #ef.invokeFactory('Document', id='doc1', title='Test Page 1',
    #text='<html> <body> a test page </body> </html>')
    #f.invokeFactory('Document', id='doc2', title='Test Page 2',
    #text='<html> <body> another test page </body> </html>')
    ef.invokeFactory('Image', id='image1', title='Test Image 1', image=gif)
    ef.invokeFactory('Image', id='image2', title='Test Image 2', image=gif)
    ef.invokeFactory('Image', id='image3', title='Test Image 3', image=gif)
    #ef.invokeFactory('Folder', id='folder1', title='Test Folder 1')
    #ef.folder1.invokeFactory('Document', id='doc3', title='Test Page 3',
    #text='<html> <body> a test page in a subfolder </body> </html>')
    #ef.folder1.invokeFactory('Document', id='doc4', title='Test Page 4',
    #text='<html> <body> another test page </body> </html>')
    #ef.folder1.invokeFactory('Document', id='doc5', title='Test Page 5',
    #text='<html> <body> another test page </body> </html>')

    utils.commit()
    print "Export Folder Created"
    print ef.objectIds()

def exportDummy():
    print "preparing for Export"
    #createExportDummy()
    ef = portal["export"]
    ec = SimpleFSExportContext( "Desktop/export" )
    ex = XMLContentFSExporter(portal["export"])
    #import pdb; pdb.set_trace()
    ex.export(ec, "structure", False)
    print "Data exported"

