from zope.interface import implements
from Products.gsxml.content import XMLContentFSExporter
from Products.GenericSetup.interfaces import IExportContext
import os

class TestExportContext(object):
    implements( IExportContext )

    def __init__(self):
        self.brain={}

    def writeDataFile( self, filename, text, content_type, subdir=None ):

        if subdir is not None:
            fn = os.path.join( subdir, filename )
        else:
            fn = filename

        self.brain[fn] = text


ec = TestExportContext()
ex = XMLContentFSExporter(portal["front-page"])
ex.export(ec, "structure", False)

