#util script

def mkfolder(name):
    """ Creates a Folder 'name' in the portal """
    portal.invokeFactory("Folder", name)
    utils.commit()

def mkdoc(name):
    """ Creates a Document 'name' in the portal """
    portal.invokeFactory("Document", name)
    utils.commit()

def cleanAll():
    """ clean import/export stuff """
    try:
        portal.manage_delObjects(["import"])
        print "import folder deleted"
    except:
        print "no import folder in portal"

    try:
        portal.manage_delObjects(["export"])
        print "export folder deleted"
    except:
        print "no export folder in portal"

    utils.commit()


def mkfs(path, content, brain ):
    print locals()
    import os

    dirs, filename = os.path.split( path )
    dirs = dirs.split(os.sep)

    current = brain
    for dir in dirs:
        if not current.has_key( dir ):
            print "mkdir %(dir)s" % locals()
            current[dir] = {}

        print "cd %(dir)s" % locals()
        current = current[dir]

    print "cat filename > %(dir)s" % locals()
    current[filename] = content
    return brain

def readfs(path, filename, brain):
    import os

    dirs = path.split(os.sep)
    current = brain
    for dir in dirs:
        if current.has_key(dir):
            current = current[dir]

    return current[filename]

